# FLASH parameters - Internal CPU's Flash

# 3 - Internal Flash
set flash_type 3
set compatible_interfaces { 4 }

# Programming is performed by one byte/word at a time
#
set programming_by_byte 1

# if present, set alignment
#
if { [info exists internal_flash_alignment] } {
  set flash_alignment $internal_flash_alignment
}

# Calculate flash_size from sector table
set flash_size 0
foreach sector $internal_flash_sectors {
  set flash_size [expr $flash_size + [lindex $sector 0] ]
}

# always use non-uniform sector format
set uniform_sector 0

set sectorsize {}
foreach sector $internal_flash_sectors {
  lappend sectorsize [lindex $sector 0]
}


# Script for Flash/EEPROM specific CPU setup
set ic_specific_setup intl_flash.tcl
